> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.simplified.com/api-reference/platform/projects/update-project/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplified.com/_mcp/server. # API · Projects · Update a project PATCH https://api.simplified.com/api/v1/projects/{resourcetype}/{id} Content-Type: application/json Partially update a project. Use this to persist campaign lifecycle, configuration, research, approvals, and rolling outlook state. When changing `data`, first read the project and send the complete merged data object so unrelated state is retained. Reference: https://docs.simplified.com/api-reference/platform/projects/update-project ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Header authentication of the form `Api-Key ` - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `resourcetype` (string, required) — Project type selector - `id` (string, required) — Project ID (UUID or integer depending on type) ### Body (application/json) This endpoint expects a ProjectUpdateRequest. - `title` (string, optional) — Updated project title - `description` (string, optional) — Updated project description - `primary_type` (string, optional) — Updated free-form project category - `data` (map from string to any, optional) — Complete flexible JSON data object for the project ## Response ### 200 Project updated - `any` ## Errors ### 400 Bad Request Error Validation error - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Project not found - `any` ## Examples **Request** ```json {} ``` **SDK Code** ```python import requests url = "https://api.simplified.com/api/v1/projects/resourcetype/id" payload = {} headers = { "Authorization": "Api-Key ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.simplified.com/api/v1/projects/resourcetype/id'; const options = { method: 'PATCH', headers: {Authorization: 'Api-Key ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.simplified.com/api/v1/projects/resourcetype/id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Api-Key ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.simplified.com/api/v1/projects/resourcetype/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Api-Key ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.simplified.com/api/v1/projects/resourcetype/id") .header("Authorization", "Api-Key ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.simplified.com/api/v1/projects/resourcetype/id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Api-Key ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.simplified.com/api/v1/projects/resourcetype/id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Api-Key "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Api-Key ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.simplified.com/api/v1/projects/resourcetype/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```